/* University of York Robotics Laboratory PsiSwarm Library: Serial Control Header File
 * 
 * File: serial.h
 *
 * (C) Dept. Electronics & Computer Science, University of York
 * James Hilder, Alan Millard, Homero Elizondo, Jon Timmis
 * 
 * PsiSwarm Library Version: 0.3
 *
 * October 2015
 *
 */ 
 
 
#ifndef SERIAL_H
#define SERIAL_H
 
void handle_user_serial_message(char * message, char length, char interface);

void IF_handle_user_serial_message(char * message, char length, char interface);
void IF_handle_command_serial_message(char message [3], char interface);
void IF_setup_serial_interfaces(void);
void IF_pc_rx_callback(void);
void IF_bt_rx_callback(void);

char * IF_nibble_to_binary_char(char in);
char * IF_char_to_binary_char(char in);
float IF_decode_unsigned_float(char byte0, char byte1);
float IF_decode_float(char byte0, char byte1);
float IF_decode_float(char byte0);
float IF_decode_unsigned_float(char byte0);


#endif